<?php

namespace Types;

class Password {
  
  

  
  

    // --- Statische Methoden ---
  
  public static function getEncryptKey() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getTypesPasswordEncryptKey();
    
  }

  public static function encryptSymmetric($x) { 
    
    
    // --- BLOCK: main ---
    return @openssl_encrypt($x, 'aes128', \Types\Password::getEncryptKey());
    
  }

  public static function decryptSymmetric($x) { 
    
    
    // --- BLOCK: main ---
    return @openssl_decrypt($x, 'aes128', \Types\Password::getEncryptKey());
    
  }


  
  

  
  
}



